Extending Qt Creator Manual | KitsPageFactory

Extending Qt Creator Manual 4.7.1

# KitsPageFactory Class

(ProjectExplorer::Internal::KitsPageFactory)

- List of all members, including inherited members

## Public Functions

| KitsPageFactory()
Utils::WizardPage * | create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data) override
bool | validateData(int typeId, const QVariant &data, int *errorMessage) override

## Member Function Documentation

### KitsPageFactory::KitsPageFactory()

Default constructs an instance of KitsPageFactory.

### Utils::WizardPage *KitsPageFactory::create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data)

### bool KitsPageFactory::validateData(int typeId, const QVariant &data, int *errorMessage)